Forgot password

Sends to the user an email with a link to reset their password.

post
Header parameters
Brand-URLstringRequired

The brand URL of the request. This is used to identify the brand.

Example: YOUR_BRAND_URL
Body

This is the model class for ForgotPassword.

emailAddressstring · email · min: 1Required

This represents the email of the user.

Example: example@jfamrwork.io
resetPasswordLinkstring · uri · min: 1Required

This represents the reset password link to be sent to the user. When the user clicks on the link, they will be redirected to the forgot password page and in this link includes the token parameter which is used to verify the user.

Responses
chevron-right
200

The request was successful.

application/json

The API result model with data.

successbooleanRead-onlyRequired

This is the flag to indicate whether the API call is successful or not.

statusCodeinteger · int32Read-onlyRequired

This is the HTTP status code. This is used to determine the status code to be returned to the client.

messagestring · min: 1Required

This is the message to be displayed to the user.

databooleanOptional
post
/api/v1/users/forgot-password

Last updated